import { PropType } from 'vue';
import { default as InfoLabelContent } from '../../helper/types/InfoLabelContent';
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    classes: {
        type: StringConstructor;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    type: {
        type: PropType<"currency" | "phone" | "number" | "password" | "text" | "email" | "tel" | "search" | "date" | "datetime-local" | "hidden" | "month" | "time" | "url" | "week">;
        default: string;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    togglePassword: {
        type: BooleanConstructor;
        default: boolean;
    };
    noSpinButtons: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    invalid: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    spellcheck: {
        type: BooleanConstructor;
        default: boolean;
    };
    optional: {
        type: BooleanConstructor;
        default: boolean;
    };
    showStatusIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    footerType: {
        type: PropType<"info" | "success" | "warning" | "error">;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    infoText: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<"medium" | "large">;
        default: string;
    };
    flavor: {
        type: PropType<"white" | "gray">;
        default: string;
    };
    leadingIcon: {
        type: StringConstructor;
        default: string;
    };
    helpText: {
        type: StringConstructor;
        default: string;
    };
    errorMessage: {
        type: StringConstructor;
        default: string;
    };
    tooltipText: {
        type: StringConstructor;
        default: string;
    };
    removeMarginBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    minLength: {
        type: NumberConstructor;
        default: undefined;
    };
    maxLength: {
        type: NumberConstructor;
        default: undefined;
    };
    min: {
        type: NumberConstructor;
        default: undefined;
    };
    max: {
        type: NumberConstructor;
        default: undefined;
    };
    step: {
        type: NumberConstructor;
        default: undefined;
    };
    pattern: {
        type: StringConstructor;
        default: undefined;
    };
    inputMode: {
        type: PropType<"none" | "text" | "decimal" | "numeric" | "tel" | "search" | "email" | "url">;
        default: string;
    };
    autocomplete: {
        type: PropType<"none" | "on">;
        default: string;
    };
    infoLabelContent: {
        type: PropType<undefined | InfoLabelContent>;
        default: undefined;
    };
    modelValue: {
        type: PropType<string | number>;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    onFocus: (...args: any[]) => void;
    onBlur: (...args: any[]) => void;
    onChange: (...args: any[]) => void;
    onInput: (...args: any[]) => void;
    onClear: (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    classes: {
        type: StringConstructor;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    type: {
        type: PropType<"currency" | "phone" | "number" | "password" | "text" | "email" | "tel" | "search" | "date" | "datetime-local" | "hidden" | "month" | "time" | "url" | "week">;
        default: string;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    togglePassword: {
        type: BooleanConstructor;
        default: boolean;
    };
    noSpinButtons: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    invalid: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    spellcheck: {
        type: BooleanConstructor;
        default: boolean;
    };
    optional: {
        type: BooleanConstructor;
        default: boolean;
    };
    showStatusIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    footerType: {
        type: PropType<"info" | "success" | "warning" | "error">;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    infoText: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<"medium" | "large">;
        default: string;
    };
    flavor: {
        type: PropType<"white" | "gray">;
        default: string;
    };
    leadingIcon: {
        type: StringConstructor;
        default: string;
    };
    helpText: {
        type: StringConstructor;
        default: string;
    };
    errorMessage: {
        type: StringConstructor;
        default: string;
    };
    tooltipText: {
        type: StringConstructor;
        default: string;
    };
    removeMarginBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    minLength: {
        type: NumberConstructor;
        default: undefined;
    };
    maxLength: {
        type: NumberConstructor;
        default: undefined;
    };
    min: {
        type: NumberConstructor;
        default: undefined;
    };
    max: {
        type: NumberConstructor;
        default: undefined;
    };
    step: {
        type: NumberConstructor;
        default: undefined;
    };
    pattern: {
        type: StringConstructor;
        default: undefined;
    };
    inputMode: {
        type: PropType<"none" | "text" | "decimal" | "numeric" | "tel" | "search" | "email" | "url">;
        default: string;
    };
    autocomplete: {
        type: PropType<"none" | "on">;
        default: string;
    };
    infoLabelContent: {
        type: PropType<undefined | InfoLabelContent>;
        default: undefined;
    };
    modelValue: {
        type: PropType<string | number>;
    };
}>> & Readonly<{
    onOnFocus?: ((...args: any[]) => any) | undefined;
    onOnBlur?: ((...args: any[]) => any) | undefined;
    onOnChange?: ((...args: any[]) => any) | undefined;
    onOnInput?: ((...args: any[]) => any) | undefined;
    onOnClear?: ((...args: any[]) => any) | undefined;
}>, {
    invalid: boolean;
    label: string;
    pattern: string;
    type: "number" | "time" | "text" | "search" | "hidden" | "date" | "currency" | "phone" | "password" | "email" | "tel" | "datetime-local" | "month" | "url" | "week";
    size: "large" | "medium";
    classes: string;
    flavor: "gray" | "white";
    disabled: boolean;
    required: boolean;
    name: string;
    step: number;
    infoLabelContent: InfoLabelContent | undefined;
    placeholder: string;
    clearable: boolean;
    togglePassword: boolean;
    noSpinButtons: boolean;
    readonly: boolean;
    autofocus: boolean;
    spellcheck: boolean;
    optional: boolean;
    showStatusIcon: boolean;
    footerType: "error" | "success" | "info" | "warning";
    infoText: string;
    leadingIcon: string;
    helpText: string;
    errorMessage: string;
    tooltipText: string;
    removeMarginBottom: boolean;
    minLength: number;
    maxLength: number;
    min: number;
    max: number;
    inputMode: "text" | "search" | "none" | "email" | "tel" | "url" | "decimal" | "numeric";
    autocomplete: "none" | "on";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
