import { PropType } from 'vue';
import { default as InfoLabelContent } from '../../helper/types/InfoLabelContent';
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    label: {
        type: StringConstructor;
        required: true;
    };
    /**
     * A small question mark icon will appear, which will display the text when you click on it.
     */
    infoLabelContent: {
        type: PropType<undefined | InfoLabelContent>;
        default: undefined;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: PropType<Blob | string>;
        default: undefined;
    };
    defaultAvatar: {
        type: PropType<"rocket-dark-blue" | "rocket-light-blue" | "rocket-orange" | "rocket-purple" | "avatar" | "file">;
        default: string;
    };
    /**
     * The uploaded image will be displayed directly as a small avatar.
     */
    showImage: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Sometimes there is no preview image for the file you upload.
     */
    showdefaultAvatar: {
        type: BooleanConstructor;
        default: boolean;
    };
    showBtnRemove: {
        type: BooleanConstructor;
        default: boolean;
    };
    showFileName: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Only displayed if showFileName is set to true. Is overwritten by the actual file name. Is displayed below the input.
     */
    forceFileName: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Accepted file types: '.jpg, .jpeg, .png, .gif, .webp and .json, yml, application/x-yaml'
     */
    accept: {
        type: StringConstructor;
        default: string;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxSizeUnit: {
        type: StringConstructor;
        default: string;
    };
    /**
     * footerText: Overwrites the text which gives information about the accepted type and file size
     */
    footerText: {
        type: StringConstructor;
        default: undefined;
    };
    fileNameRemoveBtnBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:modelValue": (...args: any[]) => void;
    "remove-image": (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    label: {
        type: StringConstructor;
        required: true;
    };
    /**
     * A small question mark icon will appear, which will display the text when you click on it.
     */
    infoLabelContent: {
        type: PropType<undefined | InfoLabelContent>;
        default: undefined;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: PropType<Blob | string>;
        default: undefined;
    };
    defaultAvatar: {
        type: PropType<"rocket-dark-blue" | "rocket-light-blue" | "rocket-orange" | "rocket-purple" | "avatar" | "file">;
        default: string;
    };
    /**
     * The uploaded image will be displayed directly as a small avatar.
     */
    showImage: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Sometimes there is no preview image for the file you upload.
     */
    showdefaultAvatar: {
        type: BooleanConstructor;
        default: boolean;
    };
    showBtnRemove: {
        type: BooleanConstructor;
        default: boolean;
    };
    showFileName: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Only displayed if showFileName is set to true. Is overwritten by the actual file name. Is displayed below the input.
     */
    forceFileName: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Accepted file types: '.jpg, .jpeg, .png, .gif, .webp and .json, yml, application/x-yaml'
     */
    accept: {
        type: StringConstructor;
        default: string;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxSizeUnit: {
        type: StringConstructor;
        default: string;
    };
    /**
     * footerText: Overwrites the text which gives information about the accepted type and file size
     */
    footerText: {
        type: StringConstructor;
        default: undefined;
    };
    fileNameRemoveBtnBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    "onRemove-image"?: ((...args: any[]) => any) | undefined;
}>, {
    defaultAvatar: "rocket-dark-blue" | "rocket-light-blue" | "rocket-orange" | "rocket-purple" | "avatar" | "file";
    disabled: boolean;
    required: boolean;
    infoLabelContent: InfoLabelContent | undefined;
    modelValue: string | Blob;
    showImage: boolean;
    showdefaultAvatar: boolean;
    showBtnRemove: boolean;
    showFileName: boolean;
    forceFileName: string;
    accept: string;
    maxSize: number;
    maxSizeUnit: string;
    footerText: string;
    fileNameRemoveBtnBottom: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
